proc (0)=printmat(rlbl,clbl,x);
  local mask,fmt;
/* 
   Written by: MATIAS EKLF, Uppsala University, 2004-02-05 

   printmat prints a matrix using rlbl as row labels and clbl as column labels
   rlbl : n by 1 vector of characters
   clbl : m by 1 vector of characters
   x    : n by m numeric matrix.

   
   Example:
    x = seqa(1,1,4)+10*seqa(1,1,3)'+rndn(1,1);
    rlbl = "row 1"|"row 2"|"row 3"|"row 4";
    clbl = "col 1"|"col 2"|"col 3";
    printmat(rlbl,clbl,x);

    produces
    
                   col 1       col 2       col 3
       row 1   10.501507   20.501507   30.501507
       row 2   11.501507   21.501507   31.501507
       row 3   12.501507   22.501507   32.501507
       row 4   13.501507   23.501507   33.501507

    TIPS: Use ftocv(x,field,prec) to transform floating number to character vector in row and column labels.
*/
  if rows(clbl)/=cols(x);
  	print "\n** ERROR in printmat(): Number of rows in clbl no equal to the number of columns in X. Program terminated.";
	end;
  elseif rows(rlbl)/=rows(x);
  	print "\n** ERROR in printmat(): Number of rows in rlbl no equal to the number of rows in X. Program terminated.";
	end;
  endif;  
  
  clbl = 0 + "" | clbl;
  mask = zeros(1,1+cols(x))|(zeros(rows(x),1)~ones(rows(x),cols(x)));  

  fmt  = { "-*.*lf  " 8 5 };
  call printfm(clbl'|(rlbl~x),mask,fmt);
endp;
